## org.apache.fop.pdf
Class PDFCharProcs

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFCharProcs

public class PDFCharProcs
extends PDFObject

class representing a /CharProcs dictionary for Type3 fonts.

CAUTION: this is not yet fully implemented!!!!!!! I miss an exemple of how to output this dictionary.

Type3 fonts are specified on page 206 and onwards of the PDF 1.3 spec.

Field Summary
`protected java.util.Hashtable` `keys` the (character name, drawing stream) pairs for a Type3 font

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFCharProcs()`

Method Summary
`void` `addCharacter(java.lang.String name, PDFStream stream)` add a character definition in the dictionary
`byte[]` `toPDF()` not done yet

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keys

    protected java.util.Hashtable keys

  the (character name, drawing stream) pairs for a Type3 font

Constructor Detail

### PDFCharProcs

    public PDFCharProcs()

Method Detail

### addCharacter

    public void addCharacter(java.lang.String name,
                             PDFStream stream)

  add a character definition in the dictionary
  Parameters:
    `name` - the character name
    `stream` - the stream that draws the character

### toPDF

    public byte[] toPDF()

  not done yet

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.